#
# spec file for package perl-Convert-ASN1
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Convert-ASN1
Name:           perl-Convert-ASN1
Version:        0.340.0
Release:        1.1
%define cpan_version 0.34
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Convert between perl data structures and ASN.1 encoded packets
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TI/TIMLEGGE/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
Patch0:         perl-Convert-ASN1-0.31-test.patch
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Math::BigInt) >= 1.997
BuildRequires:  perl(Test::More) >= 0.90
Provides:       perl(Convert::ASN1) = 0.340.0
Provides:       perl(Convert::ASN1::parser) = 0.340.0
%define         __perllib_provides /bin/true
%{perl_requires}

%description
Convert::ASN1 encodes and decodes ASN.1 data structures using BER/DER
rules.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p0

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc ChangeLog examples mkparse OldChanges parser.y README.md
%license LICENSE

%changelog
* Tue Aug  8 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.34
  see /usr/share/doc/packages/perl-Convert-ASN1/ChangeLog
  0.34 -- Mon Aug 07 19:46:22 ADT 2023
  Bug Fixes
  Thanks to chrisridd and fschlich for these bug fixes
  * Fixes: #47 2nd - Debug output using print instead of printf
  * Fixes #47 Debug output using print instead of printf
  * ASN1.pod: fix minor typo
* Wed Sep 29 2021 Tina Müller <tina.mueller@suse.com>
- Fix perl-Convert-ASN1-0.31-test.patch and add -p0
* Thu Sep 23 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.33
  see /usr/share/doc/packages/perl-Convert-ASN1/ChangeLog
  0.33 -- Wed Sep 22 19:49:53 ADT 2021
  * Official CPAN release of 0.33
  0.32 -- Tue Sep 21 18:45:20 ADT 2021
  * examples/x509decode: parameters are optional for AlgorithmIdentifier when using [ec]dsa algorithms
  * t/19issue14.t: issue with warnings
  * Fixes #44 Redundant argument in printf warning
  * examples/x509decode: fix prototype error
  * examples/ldap: fix asn1_dump not working
* Tue Jun 29 2021 Pedro Monreal <pmonreal@suse.com>
- Fix autoupdate: Update spec file
- Rebase Convert-ASN1-0.22-test.diff and rename it to
  perl-Convert-ASN1-0.31-test.patch
* Thu Jun  3 2021 Pedro Monreal <pmonreal@suse.com>
- updated to 0.31
  see /usr/share/doc/packages/perl-Convert-ASN1/ChangeLog
  0.31 -- Wed Jun 02 22:28:29 ADT 2021
  * Official CPAN release of 0.30
  0.30 -- Sat May 29 21:56:29 ADT 2021
  * Fixes #43 - Perl 5.35.1 makes scalar assignment to undef a compile time error
- Rebase Convert-ASN1-0.22-test.diff
* Tue Jun  1 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.29
  * typo fixes
  * Fix unsafe decoding CVE-2013-7488
- Drop upstream fixed perl-Convert-ASN1-CVE-2013-7488.patch
* Tue Nov  3 2020 Pedro Monreal <pmonreal@suse.com>
- Security fix: [bsc#1168934, CVE-2013-7488]
  * Fix infinite loop via unexpected input
- Add perl-Convert-ASN1-CVE-2013-7488.patch
* Fri Jan 10 2020 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- Update spec file
* Wed Apr 15 2015 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-Convert-ASN1/ChangeLog
  0.27 -- Wed Jun 25 13:47:28 CDT 2014
  * Avoid recursion when encountering an invalid tag and length
  * Avoid negative repetition counts (5.22 compatibility) [Alex Vandiver]
  * Use pack/unpack instead of chr/org to avoid encoding issues
- obsolete Convert-ASN1-0.22-path.diff
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.26
  * Avoid Modification of a read-only value attempted errors
  * dump Data::Dumper strings when rtest fails
  * Add tests from Crypt::X509 that found the last Modification of a read-only value attempted error
  * fix a spelling mistake [gregor herrmann]
  * Add use strict and fix errors
  * Fix decoding of indefinite sequences with ANY
  * POD additions for ANY
  * EXPLICIT ops must pass their cVAR to their child op
  * Swallow a , after a }
  * spelling fix [gregor herrmann]
  * Added tests for extension markers (fails currently) [Niels Laukens]
  * Bugfix for extension markerss in SETs and CHOICEs [Niels Laukens]
  * Skip attempting to encode opEXTENSIONS inside of CHOICE
  * Support for default explicit tagging [Peter Mogensen]
  * Added tests and doc for explicit tagging [Peter Mogensen]
  * Add new opEXPLICIT for sequences that are inserted for EXPLICIT tags
  * Added support for EXTENSION MARKERS (...) (Niels Laukens)
  * Switch to Dist::Zilla for building
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Nov 24 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- removed Obsoletes/Provides p_casn1
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Oct  6 2008 anicka@suse.cz
- update to 0.22
  * Fix decoding of OIDs with large value for 2nd element
  * Support for SEQUENCE with no elements in ASN.1
  * Added ability to define what value is put in perl data
  structory when decoding NULL elements
* Wed Feb 14 2007 anicka@suse.cz
- update to 0.21
  * Fixed problem with indefinite encoding inside an indefinite
  encoding
  * Added support for type-local ANY DEFINED BY
* Wed Jul 12 2006 anicka@suse.cz
- update to 0.20
  * Fixed issues with decoding when calling script contains use encoding 'utf8'
  * Allow zero-length timestamps to be extracted
  * Fix incorrect length encoding for bitstrings
  * Support encoding bigint's as BCD
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 mjancar@suse.cz
- update to 0.19
* Thu Oct 30 2003 mjancar@suse.cz
- update to 0.18
- drop obsolete patches
- no root for build
* Tue Sep  9 2003 mls@suse.de
- use chr(xx & 0xff) in _encode.pm, otherwise we get unicode
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Aug  7 2003 mjancar@suse.cz
- fix tests that depend on certain order of entries
  in a hash (it is random in perl 5.8.1)
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Thu Jun 19 2003 mjancar@suse.cz
- update to 0.17
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Thu Oct 17 2002 prehak@suse.cz
- updated to version 0.16
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Jan 22 2002 rvasice@suse.cz
- update to version 0.15
* Thu Jan  3 2002 cihlar@suse.cz
- update to version 0.14
* Fri Aug  3 2001 rvasice@suse.cz
- update to version 0.12
* Tue Mar 13 2001 cihlar@suse.cz
- update to version 0.08
- fixed file list
* Fri Nov 10 2000 cihlar@suse.cz
- renamed p_casn1 -> perl-Convert-ASN1
* Tue Aug 22 2000 cihlar@suse.cz
- package created
